# SiEPIC Test Creator

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![codecov](https://codecov.io/gh/SiEPIC/SiEPIC_testcreator/graph/badge.svg?token=8gQqPJ2Vfx)](https://codecov.io/gh/SiEPIC/SiEPIC_testcreator)

A tool for creating YAML files for use across UBC probe stations. This aplication features a UI that allows students and users to link on chip devices to custom test sequences.

## Setup

1. **Prerequisites/Labelling:** Python 3.10 and above
![image](https://github.com/PetervandenDoel/SiEPIC_testcreator/assets/73015873/12854132-ae9a-4b37-8059-e10656113491)



![](readme_images/electrical_labels.png)
  
2. **Installation**

![image](https://github.com/PetervandenDoel/SiEPIC_testcreator/assets/73015873/381ae711-785b-4e66-b2dd-03c5bfe6c2e6)


## Usage

Find here instruction on the work flow of the application

The GUI can be launched using the terminal or via python. For an example using python, see [run_gui.py](example/run_gui.py). To launch the GUI via the terminal, execute the command below:
```
SiEPIC_TestCreator --gui
```


![](readme_images/example_load.png)
![](readme_images/extractcoordlabels.png)

![](readme_images/upload_file.png)
![](readme_images/create_sequences.png)
![](readme_images/setting_routines.png)
![](readme_images/instrument_range.png)
![image](https://github.com/PetervandenDoel/SiEPIC_testcreator/assets/73015873/a67420ec-2395-4cd2-9aec-26c3e7694928)



![image](https://github.com/PetervandenDoel/SiEPIC_testcreator/assets/73015873/406d5bde-5b99-4e24-be7b-ed83b0c7522f)


## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details.
